<div class="header bg-gradient-danger pb-8 pt-5 pt-md-8">
  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->

    </div>
  </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--7">
  <!-- Table -->
  <div class="row">
    <div class="col">
      <div class="card shadow">
        <div class="card-header border-0">
          <ul ngbNav #nav="ngbNav" [(activeId)]="active" [destroyOnHide]="false" class="nav-tabs">
            <li [ngbNavItem]="1" [destroyOnHide]="true">
              <a ngbNavLink>Comapnies Request</a>
              <ng-template ngbNavContent>
                <div class="table-responsive">
                  <table class="table align-items-center table-flush">
                    <thead class="thead-light">
                      <tr>
                        <th scope="col">Company ID</th>
                        <th scope="col">Company Name</th>
                        <th scope="col">Email</th>
                        <th scope="col">Password</th>
                        <th scope="col">Actions</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let item of ComaniesRequest">

                        <td>
                          {{item.company?.companyId}}
                        </td>

                        <td>
                          {{item.company?.companyName }}

                        </td>
                        <td>
                          {{item.company?.email}}
                        </td>
                        <td>
                          {{item.newPassword}}
                        </td>
                        <td class="text-right">
                          <div class="btn btn-sm btn-icon-only text-white p-2 bg-green" *ngIf="item.status === 'accepted'; else elseBlock"><i class="fa fa-check"></i></div>
                          <ng-template #elseBlock>
                            <div ngbDropdown placement="bottom-right">
                              <a class="btn btn-sm btn-icon-only text-light" ngbDropdownToggle>
                                <i class="fas fa-ellipsis-v"></i>
                              </a>
                              <div ngbDropdownMenu class=" dropdown-menu-right dropdown-menu-arrow">
                                <a class="dropdown-item" (click)="AcceptComStatus(item)">Accept</a>
                                <a class="dropdown-item" (click)="RejectPasswordRequest(item)">Reject</a>
                              </div>
                            </div>
                          </ng-template>
                          <!-- <ng-template #thenBlock>Content to render when condition is true.</ng-template> -->
                          <!-- <ng-template #elseBlock>
                          
                          </ng-template> -->

                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </ng-template>
            </li>
            <li [ngbNavItem]="2">
              <a ngbNavLink>Service Provider Request</a>
              <ng-template ngbNavContent>
                <div class="table-responsive">
                  <table class="table align-items-center table-flush">
                    <thead class="thead-light">
                      <tr>
                        <th scope="col">Service Provider ID</th>
                        <th scope="col">Provider Name</th>
                        <th scope="col">Email</th>
                        <th scope="col">Password</th>
                        <th scope="col">Actions</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let item of data">
                        <!-- <div *ngIf="item.serviceProvider"> -->
                        <td>
                          {{item.serviceProvider?.serviceProviderId}}
                        </td>

                        <td>
                          {{item.serviceProvider?.providerName}}
                        </td>
                        <td>
                          {{item.serviceProvider?.email}}
                        </td>
                        <td>
                          {{item.newPassword}}
                        </td>
                        <!-- <td>{{date.utc(item.searchTime).utcOffset('+03:00').format('DD.MM.YYYY hh:mm')}}</td> -->
                        <td class="text-right">
                          <div class="btn btn-sm btn-icon-only text-white p-2 bg-green" *ngIf="item.status === 'accepted'; else elseBlock"><i class="fa fa-check"></i></div>
                          <ng-template #elseBlock>
                            <div ngbDropdown placement="bottom-right">
                              <a class="btn btn-sm btn-icon-only text-light" ngbDropdownToggle>
                                <i class="fas fa-ellipsis-v"></i>
                              </a>
                              <div ngbDropdownMenu class=" dropdown-menu-right dropdown-menu-arrow">
                                <a class="dropdown-item" (click)="AcceptProviderStatus(item)">Accept</a>
                                <a class="dropdown-item" (click)="RejectPasswordRequest(item)">Reject</a>
                              </div>
                            </div>
                          </ng-template>
                          <!-- <ng-template #thenBlock>Content to render when condition is true.</ng-template> -->
                          <!-- <ng-template #elseBlock>
                          
                          </ng-template> -->

                        </td>
                        <!-- </div> -->
                      </tr>
                    </tbody>
                  </table>
                </div>
              </ng-template>
            </li>

          </ul>

          <div [ngbNavOutlet]="nav" class="mt-2"></div>

          <!-- <pre>Active: {{ active }}</pre> -->
        </div>


      </div>
    </div>
  </div>
  <!-- Dark table -->

</div>